# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/airoha.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Airoha SoC based Platforms Device Tree Bindings

maintainers:
  - Felix Fietkau <nbd@nbd.name>
  - John Crispin <john@phrozen.org>

description:
  Boards with an Airoha SoC shall have the following properties.

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - enum:
              - airoha,en7523-evb
          - const: airoha,en7523

additionalProperties: true

...
